Module java.base
Package javax.net.ssl

# Class SSLProtocolException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
javax.net.ssl.SSLException
javax.net.ssl.SSLProtocolException

All Implemented Interfaces:
  `Serializable`

public class SSLProtocolException extends SSLException
Reports an error in the operation of the SSL protocol. Normally this indicates a flaw in one of the protocol implementations.

Since:
  1.4
See Also:
  Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SSLProtocolException​(String reason)`
Constructs an exception reporting an SSL protocol error detected by an SSL subsystem.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SSLProtocolException

public SSLProtocolException​(String reason)
Constructs an exception reporting an SSL protocol error detected by an SSL subsystem.

Parameters:
  `reason` - describes the problem.